
-- by modelleicher
--

SteerLock = {};

function SteerLock.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function SteerLock:load(xmlFile)


	self.steerlockState = false
		 
				 
		 
	self.hudsteerL_yesPosX = 0.85;
    self.hudsteerL_yesWidth = 0.1;
    self.hudsteerL_yesPosY = 0.21;
    self.hudsteerL_yesHeight = 0.12;
	
	self.infoPanelPath = Utils.getFilename("autorot_symb_yes2.png", self.baseDirectory);
	self.hudsteerL_yesOverlay = Overlay:new("hudsteerL_yesOverlay", self.infoPanelPath, self.hudsteerL_yesPosX, self.hudsteerL_yesPosY, self.hudsteerL_yesWidth, self.hudsteerL_yesHeight);
	
	self.showHudsteerL_yes = false;	 
	
	self.hudsteerL_noPosX = 0.85;
    self.hudsteerL_noWidth = 0.1;
    self.hudsteerL_noPosY = 0.21;
    self.hudsteerL_noHeight = 0.12;
	
	self.infoPanelTwoPath = Utils.getFilename("autorot_symb_yes.png", self.baseDirectory);
	self.hudsteerL_noOverlay = Overlay:new("hudsteerL_noOverlay", self.infoPanelTwoPath, self.hudsteerL_noPosX, self.hudsteerL_noPosY, self.hudsteerL_noWidth, self.hudsteerL_noHeight);
	

	self.showHudsteerL_no = false;	 
			
end;

function SteerLock:delete()

    if self.hudsteerL_yesOverlay ~= nil then
		self.hudsteerL_yesOverlay:delete();
	end;
	if self.hudsteerL_noOverlay ~= nil then
		self.hudsteerL_noOverlay:delete();
	end;
end;

function SteerLock:mouseEvent(posX, posY, isDown, isUp, button)
end;

function SteerLock:keyEvent(unicode, sym, modifier, isDown)
end;

function SteerLock:update(dt)

    if self:getIsActiveForInput() and self.isEntered then
    
		
		
		if InputBinding.hasEvent(InputBinding.STEERLOCK) then
		   	if steerlockState == false then
		   	   steerlockState = true
		   	else
		   		steerlockState = false
		   	end;
		end;
		


		if steerlockState == true then
		   			self.showHudsteerL_yes = false
		   			self.showHudsteerL_no = true
		else
					self.showHudsteerL_yes = true
		   			self.showHudsteerL_no = false					
		end;


		if steerlockState == false then
		   self.autoRotateBackSpeed	= 2.5
		end;
		
		if steerlockState == true then
		   self.autoRotateBackSpeed = 0.0
		end;


	end;			 

end;

function SteerLock:draw()

	if self.showHudsteerL_yes and self.isEntered then
		self.hudsteerL_yesOverlay:render();
	end;
	if self.showHudsteerL_no and self.isEntered then
		self.hudsteerL_noOverlay:render();
	end;
	
end;

