
-- by modelleicher
--

wheelspec = {};

function wheelspec.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function wheelspec:load(xmlFile)


	--self.maxWeight = Utils.getNoNil(getXMLInt(xmlFile, "vehicle.maxWeight#weight"), 100);



	self.Wnormal1 = Utils.indexToObject(self.rootNode, getXMLString(xmlFile, "vehicle.Wheelspec.normal.wheel1#index"));
	self.Wnormal2 = Utils.indexToObject(self.rootNode, getXMLString(xmlFile, "vehicle.Wheelspec.normal.wheel2#index"));
	self.Wnormal3 = Utils.indexToObject(self.rootNode, getXMLString(xmlFile, "vehicle.Wheelspec.normal.wheel3#index"));	
	self.Wnormal4 = Utils.indexToObject(self.rootNode, getXMLString(xmlFile, "vehicle.Wheelspec.normal.wheel4#index"));
	
	
	self.Wterra1 = Utils.indexToObject(self.rootNode, getXMLString(xmlFile, "vehicle.Wheelspec.terra.wheel1#index"));
	self.Wterra2 = Utils.indexToObject(self.rootNode, getXMLString(xmlFile, "vehicle.Wheelspec.terra.wheel2#index"));
	self.Wterra3 = Utils.indexToObject(self.rootNode, getXMLString(xmlFile, "vehicle.Wheelspec.terra.wheel3#index"));	
	self.Wterra4 = Utils.indexToObject(self.rootNode, getXMLString(xmlFile, "vehicle.Wheelspec.terra.wheel4#index"));
	
	
	self.Wsmall1 = Utils.indexToObject(self.rootNode, getXMLString(xmlFile, "vehicle.Wheelspec.small.wheel1#index"));
	self.Wsmall2 = Utils.indexToObject(self.rootNode, getXMLString(xmlFile, "vehicle.Wheelspec.small.wheel2#index"));
	self.Wsmall3 = Utils.indexToObject(self.rootNode, getXMLString(xmlFile, "vehicle.Wheelspec.small.wheel3#index"));	
	self.Wsmall4 = Utils.indexToObject(self.rootNode, getXMLString(xmlFile, "vehicle.Wheelspec.small.wheel4#index"));
	
	self.Wtwin1 = Utils.indexToObject(self.rootNode, getXMLString(xmlFile, "vehicle.Wheelspec.twin.wheel1#index"));
	self.Wtwin2 = Utils.indexToObject(self.rootNode, getXMLString(xmlFile, "vehicle.Wheelspec.twin.wheel2#index"));
	self.Wtwin3 = Utils.indexToObject(self.rootNode, getXMLString(xmlFile, "vehicle.Wheelspec.twin.wheel3#index"));	
	self.Wtwin4 = Utils.indexToObject(self.rootNode, getXMLString(xmlFile, "vehicle.Wheelspec.twin.wheel4#index"));
	
	

	-- state 0 = mormal
	-- state 1 = terra
	-- state 2 = small
	-- state 3 = twinH
	-- state 4 = twinHF
	
    self.state = 0  -- 0-4 --
					 	
end;

function wheelspec:delete()


end;

function wheelspec:mouseEvent(posX, posY, isDown, isUp, button)
end;

function wheelspec:keyEvent(unicode, sym, modifier, isDown)
end;

function wheelspec:update(dt)

    if self:getIsActiveForInput() and self.isEntered then
    

		if InputBinding.hasEvent(InputBinding.WHEELSPEC) then
			if self.state < 5 then
			   self.state = self.state +1
			end;
			if self.state == 5 then
			   self.state = 0
			end;
		end;
		

    if self.state == 0 then
	 	setVisibility(self.Wnormal1, true);	
	 	setVisibility(self.Wnormal2, true);		
	 	setVisibility(self.Wnormal3, true);		
	 	setVisibility(self.Wnormal4, true);	
		 
	 	setVisibility(self.Wterra1, false);	
	 	setVisibility(self.Wterra2, false);		
	 	setVisibility(self.Wterra3, false);		
	 	setVisibility(self.Wterra4, false);	
	 	
	 	setVisibility(self.Wsmall1, false);	
	 	setVisibility(self.Wsmall2, false);		
	 	setVisibility(self.Wsmall3, false);		
	 	setVisibility(self.Wsmall4, false);	

	 	setVisibility(self.Wtwin1, false);	
	 	setVisibility(self.Wtwin2, false);		
	 	setVisibility(self.Wtwin3, false);		
	 	setVisibility(self.Wtwin4, false);	
		 		 		 			 		 	
	end;
	
    if self.state == 1 then
	 	setVisibility(self.Wnormal1, false);	
	 	setVisibility(self.Wnormal2, false);		
	 	setVisibility(self.Wnormal3, false);		
	 	setVisibility(self.Wnormal4, false);	
		 
	 	setVisibility(self.Wterra1, true);	
	 	setVisibility(self.Wterra2, true);		
	 	setVisibility(self.Wterra3, true);		
	 	setVisibility(self.Wterra4, true);	
	 	
	 	setVisibility(self.Wsmall1, false);	
	 	setVisibility(self.Wsmall2, false);		
	 	setVisibility(self.Wsmall3, false);		
	 	setVisibility(self.Wsmall4, false);	

	 	setVisibility(self.Wtwin1, false);	
	 	setVisibility(self.Wtwin2, false);		
	 	setVisibility(self.Wtwin3, false);		
	 	setVisibility(self.Wtwin4, false);	
		 		 		 			 		 	
	end;				 

    if self.state == 2 then
	 	setVisibility(self.Wnormal1, false);	
	 	setVisibility(self.Wnormal2, false);		
	 	setVisibility(self.Wnormal3, false);		
	 	setVisibility(self.Wnormal4, false);	
		 
	 	setVisibility(self.Wterra1, false);	
	 	setVisibility(self.Wterra2, false);		
	 	setVisibility(self.Wterra3, false);		
	 	setVisibility(self.Wterra4, false);	
	 	
	 	setVisibility(self.Wsmall1, true);	
	 	setVisibility(self.Wsmall2, true);		
	 	setVisibility(self.Wsmall3, true);		
	 	setVisibility(self.Wsmall4, true);	

	 	setVisibility(self.Wtwin1, false);	
	 	setVisibility(self.Wtwin2, false);		
	 	setVisibility(self.Wtwin3, false);		
	 	setVisibility(self.Wtwin4, false);	
		 		 		 			 		 	
	end;
	
    if self.state == 3 then
	 	setVisibility(self.Wnormal1, true);
	 	setVisibility(self.Wnormal2, true);
	 	setVisibility(self.Wnormal3, true);
	 	setVisibility(self.Wnormal4, true);
		 
	 	setVisibility(self.Wterra1, false);	
	 	setVisibility(self.Wterra2, false);		
	 	setVisibility(self.Wterra3, false);		
	 	setVisibility(self.Wterra4, false);	
	 	
	 	setVisibility(self.Wsmall1, false);	
	 	setVisibility(self.Wsmall2, false);		
	 	setVisibility(self.Wsmall3, false);		
	 	setVisibility(self.Wsmall4, false);	

	 	setVisibility(self.Wtwin1, true);	
	 	setVisibility(self.Wtwin2, true);		
	 	setVisibility(self.Wtwin3, false);		
	 	setVisibility(self.Wtwin4, false);	
		 		 		 			 		 	
	end;
	
	if self.state == 4 then
	 	setVisibility(self.Wnormal1, true);
	 	setVisibility(self.Wnormal2, true);
	 	setVisibility(self.Wnormal3, true);
	 	setVisibility(self.Wnormal4, true);
		 
	 	setVisibility(self.Wterra1, false);	
	 	setVisibility(self.Wterra2, false);		
	 	setVisibility(self.Wterra3, false);		
	 	setVisibility(self.Wterra4, false);	
	 	
	 	setVisibility(self.Wsmall1, false);	
	 	setVisibility(self.Wsmall2, false);		
	 	setVisibility(self.Wsmall3, false);		
	 	setVisibility(self.Wsmall4, false);	

	 	setVisibility(self.Wtwin1, true);	
	 	setVisibility(self.Wtwin2, true);		
	 	setVisibility(self.Wtwin3, true);		
	 	setVisibility(self.Wtwin4, true);	
		 		 		 			 		 	
	end;
	
		
	end;
end;

function wheelspec:draw()


end;

